import { AfterViewInit, OnDestroy } from '@angular/core';
import { InlineValue } from '../../abstract/inline-value';
/**
 * LF number component.
 */
export declare class NumberComponent extends InlineValue implements AfterViewInit, OnDestroy {
    /**
     * Number of decimal digits to show.
     */
    scale: number;
    /**
     * Number of digits to show on the left side of the number.
     */
    leadingZeroes: number;
    /**
     * Numeric input instance associated with the component.
     */
    private numericInput;
    private disposeObserveOptions;
    private disposeObserveValue;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Number's prefix.
     */
    readonly prefix: string;
    /**
     * Number's suffix.
     */
    readonly suffix: string;
    /**
     * Number's decimal separator.
     */
    readonly decimalSeparator: string;
    /**
     * Number's thousands separator.
     */
    readonly thousandsSeparator: string;
    readonly value: number | null | undefined;
    readonly formattedValue: string;
    readonly min: number | undefined;
    readonly max: number | undefined;
    /**
     * Action to run on every `input` event of the text input.
     */
    _onInput(): void;
    protected validatePath(): void;
    /**
     * Numeric input options.
     */
    private readonly numericInputOptions;
}
